Subject: Re: [PATCH] init: don't reset core.filemode on git-new-workdirs.

From: Junio C Hamano <[email-masked]>
Date: Mon, 22 Mar 2021 23:39:31 -0700

Madhu <[email-masked]> writes:

> Avoiding the filemode check completely during reinit is ok with me
> because it gave me wrong results.  I can't speak for the original
> author of the code - if his intention was to do it explicitly as part
> of "reinitialization".

As the original author of the code, I know I meant filemode check to
be done and redone upon reinitialization in 4f629539 (init-db: check
template and repository format., 2005-11-25).

But then when 75d24499 (git-init: autodetect core.symlinks,
2007-08-31) started to autodetect symbolic link support, I somehow
ended up doing it only upon the repository creation.  Later,
2455406a (git-init: autodetect core.ignorecase, 2008-05-11) imitated
to check case sensitivity in the same block, doing it only once.

Either of these two commits would have been a good chance for us to
realize that filemode check should be done the same way, but somehow
nobody noticed X-<.